App\MemberBundle\Entity\MemberOffice:
  type: entity
  repositoryClass: App\MemberBundle\Repository\MemberOfficeRepository
  table: tblMemberFirmOffices
  id:
    id:
      type: integer
      column: OfficeID
      generator:
        strategy: IDENTITY
  fields:
    office_name:
      type: string
      length: 70
      column: OfficeName
    office_status:
      type: string
      length: 50
      column: OfficeStatus
      nullable: true
    full_or_part_time:
      type: string
      length: 10
      column: FullOrPartTime
      nullable: true
    language:
      type: string
      length: 10
      column: Language
      nullable: true
    postal_address:
      type: string
      length: 50
      column: PostalAddress
      nullable: true
    address_2:
      type: string
      length: 50
      column: Address2
      nullable: true
    town_city:
      type: string
      length: 50
      column: TownCity
      nullable: true
    country:
      type: string
      length: 50
      column: Country
      nullable: true
    postal_code:
      type: string
      length: 5
      column: PostalCode
      nullable: true
    bldg_name:
      type: string
      length: 50
      column: BldgName
      nullable: true
    street_name:
      type: string
      length: 50
      column: StreetName
      nullable: true
    suburb:
      type: string
      length: 50
      column: Suburb
      nullable: true
    telephone:
      type: string
      length: 50
      column: Telephone
      nullable: true
    fax:
      type: string
      length: 50
      column: Fax
      nullable: true
    email:
      type: string
      length: 255
      column: Email
      nullable: true
    old_principal_pr_eng:
      type: integer
      column: Old_PrincipalPrEng
      nullable: true
    old_principal_pr_tech:
      type: integer
      column: Old_PrincipalPrTech
      nullable: true
    old_principal_other:
      type: integer
      column: Old_PrincipalOther
      nullable: true
    old_tech_personnel:
      type: integer
      column: Old_TechPersonnel
      nullable: true
    old_other_personnel:
      type: integer
      column: Old_OtherPersonnel
      nullable: true
    bulletin_copies:
      type: integer
      column: BulletinCopies
      nullable: true
    province:
      type: string
      length: 50
      column: Province
      nullable: true
    saace_branch:
      type: string
      length: 50
      column: SaaceBranch
      nullable: true
    geo_location:
      type: string
      length: 50
      column: GeoLocation
      nullable: true
    professional_staff:
      type: integer
      column: ProfessionalStaff
      nullable: true
    non_prof_tech_staff:
      type: integer
      column: NonProfTechStaff
      nullable: true
    other_staff:
      type: integer
      column: OtherStaff
      nullable: true
    time_update:
      type: datetime
      column: TimeUpdate
      nullable: true
    geo_location_local:
      type: string
      length: 255
      column: GeoLocationLocal
      nullable: true
    geo_location_district:
      type: string
      length: 255
      column: GeoLocationDistrict
      nullable: true
    l_number:
      type: string
      length: 50
      column: LNumber
      nullable: true
    holding_company:
      type: string
      length: 255
      column: HoldingCompany
      nullable: true
    hr_name:
      type: string
      length: 255
      column: HRName
      nullable: true
    hr_email:
      type: string
      length: 255
      column: HREmail
      nullable: true
    fidic:
      type: string
      length: 50
      column: Fidic
      nullable: true
    ypf_contact_name:
      type: string
      length: 255
      column: YPFContactName
      nullable: true
    ypf_contact_email:
      type: string
      length: 255
      column: YPFContactEmail
      nullable: true
    ypf_contact_tel:
      type: string
      length: 255
      column: YPFContactTel
      nullable: true
    ypf_contact_cell:
      type: string
      length: 255
      column: YPFContactCell
      nullable: true
  manyToOne:
    member_firm:
      targetEntity: MemberFirm
      inversedBy: member_office
      joinColumn:
        name: FirmID
        referencedColumnName: FirmID
  oneToMany:
    member_contact:
      targetEntity: MemberContact
      mappedBy: member_office